
Katello - Feature #21807

Smart proxy status does not report pulp errors

11/29/2017 03:12 PM - Rimma Ashkinadze

Status: New   

Priority: Normal   

Assignee:    

Category: Foreman Proxy Content   

Target version: Katello 3.6.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The smart proxy status page gives no indication that there is a pulp error -- specifically :

pulp.server.webservices.application:ERROR: (14352-64512)   The database has not been migrated to the current version. Run

pulp-manage-db and restart the application.

Upgrading to newer versions of foreman packages also do not indicate when the pulp database may need migration.

Related issues:

Related to Smart Proxy - Feature #676: Syslog support Resolved 02/20/2011

History

#1 - 11/29/2017 06:52 PM - Ohad Levy

- Project changed from Foreman to Katello

- Category deleted (Smart Proxy)

#2 - 12/05/2017 09:41 AM - Lukas Zapletal

- Related to Feature #676: Syslog support added

#3 - 12/06/2017 06:57 PM - Justin Sherrill

- Category set to Foreman Proxy Content

#4 - 12/06/2017 06:58 PM - Justin Sherrill

- translation missing: en.field_release set to 284

This likely could be gotten from the pulp status check (ping)

#5 - 03/28/2018 06:23 PM - John Mitsch

- translation missing: en.field_release changed from 284 to 352
